Bug 869249 - crash is incompatible with kernels 3.5+
crash is incompatible with kernels 3.5+
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: crash (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Anderson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 07:57 EDT by Roman Kagan
Modified: 2012-12-20 10:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:44:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Kagan 2012-10-23 07:57:46 EDT
Description of problem:

The version of crash in F17 doesn't support kernels 3.5+ since they moved to a new log buffer infrastructure. 

Version-Release number of selected component (if applicable):
6.0.6-1.fc17

How reproducible:
100%

Steps to Reproduce:
1. try to load a dump from the current F17 kernel:

# crash /usr/lib/debug/lib/modules/3.6.2-4.fc17.x86_64/vmlinux memory.dmp
  
Actual results:

...
      KERNEL: /usr/lib/debug/lib/modules/3.6.2-4.fc17.x86_64/vmlinux
    DUMPFILE: memory.dmp
        CPUS: 2
        DATE: Thu Jan  1 03:00:00 1970
      UPTIME: 00:31:41
LOAD AVERAGE: 0.95, 0.23, 0.11
       TASKS: 106
    NODENAME: localhost.localdomain
     RELEASE: 3.6.2-4.fc17.x86_64
     VERSION: #1 SMP Wed Oct 17 02:43:21 UTC 2012
     MACHINE: x86_64  (3400 Mhz)
      MEMORY: 1 GB
       PANIC: 
foreach: cannot determine length of symbol: log_end


Expected results:
Dump is loaded and log messages are available for analysis

Additional info:
The issue has been fixed upstream in crash-6.0.8.

crash-6.1.0-1.fc19 from http://koji.fedoraproject.org/koji/buildinfo?buildID=357655 installs and runs fine in F17.
Comment 1 Fedora Update System 2012-10-25 17:03:05 EDT
crash-6.1.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/crash-6.1.0-1.fc17
Comment 2 C. Ed Felt 2012-10-27 13:32:17 EDT
System/Applicable package installation (I just set this up a few days ago):

[root@cedfelt-Latitude-E6500 ~]# uname -a 
Linux cedfelt-Latitude-E6500 3.6.2-4.fc17.x86_64.debug #1 SMP Wed Oct 17 02:18:25 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[root@cedfelt-Latitude-E6500 ~]# rpm -qa | grep debug
kernel-debug-devel-3.6.2-4.fc17.x86_64
kernel-debuginfo-3.6.2-4.fc17.x86_64
yum-plugin-auto-update-debug-info-1.1.31-4.fc17.noarch
kernel-debug-3.6.2-4.fc17.x86_64
kernel-debug-debuginfo-3.6.2-4.fc17.x86_64
kernel-debuginfo-common-x86_64-3.6.2-4.fc17.x86_64
[root@cedfelt-Latitude-E6500 ~]# crash -v

crash 6.0.6-1.fc17
Copyright (C) 2002-2012  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006  IBM Corporation
Copyright (C) 1999-2006  Hewlett-Packard Co
Copyright (C) 2005, 2006  Fujitsu Limited
Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
Copyright (C) 2005  NEC Corporation
Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for details.
 
GNU gdb (GDB) 7.3.1
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu".

Could this bug also be related to the following error I am getting?
Before applying the rpm fix listed above I got:

[root@cedfelt-Latitude-E6500 ~]# crash

crash 6.0.6-1.fc17
Copyright (C) 2002-2012  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006  IBM Corporation
Copyright (C) 1999-2006  Hewlett-Packard Co
Copyright (C) 2005, 2006  Fujitsu Limited
Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
Copyright (C) 2005  NEC Corporation
Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for details.
 
/sbin/modprobe: invalid option -- 'l'
GNU gdb (GDB) 7.3.1
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu"...

crash: read error: kernel virtual address: ffffffff81806d78  type: "cpu_possible_mask"
[root@cedfelt-Latitude-E6500 ~]# 

After installing crash-6.1.0-1.fc17.x86_64.rpm I now get:

[root@cedfelt-Latitude-E6500 ~]# crash -v

crash 6.1.0-1.fc17
Copyright (C) 2002-2012  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006, 2010  IBM Corporation
Copyright (C) 1999-2006  Hewlett-Packard Co
Copyright (C) 2005, 2006, 2011, 2012  Fujitsu Limited
Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
Copyright (C) 2005, 2011  NEC Corporation
Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for details.
 
GNU gdb (GDB) 7.3.1
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu".

[root@cedfelt-Latitude-E6500 ~]# crash

crash 6.1.0-1.fc17
Copyright (C) 2002-2012  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006, 2010  IBM Corporation
Copyright (C) 1999-2006  Hewlett-Packard Co
Copyright (C) 2005, 2006, 2011, 2012  Fujitsu Limited
Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
Copyright (C) 2005, 2011  NEC Corporation
Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for details.
 
GNU gdb (GDB) 7.3.1
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu"...

      KERNEL: /usr/lib/debug/lib/modules/3.6.2-4.fc17.x86_64.debug/vmlinux
    DUMPFILE: /dev/crash
        CPUS: 2
        DATE: Sat Oct 27 11:30:22 2012
      UPTIME: 04:13:33
LOAD AVERAGE: 0.21, 0.21, 0.27
       TASKS: 399
    NODENAME: cedfelt-Latitude-E6500
     RELEASE: 3.6.2-4.fc17.x86_64.debug
     VERSION: #1 SMP Wed Oct 17 02:18:25 UTC 2012
     MACHINE: x86_64  (2793 Mhz)
      MEMORY: 3.9 GB
         PID: 7308
     COMMAND: "crash"
        TASK: ffff88001dbea450  [THREAD_INFO: ffff88001ce36000]
         CPU: 1
       STATE: TASK_RUNNING (ACTIVE)

crash> 

All commands under crash now appear to work.  This update appears to have fixed my issue as well.
Comment 3 Fedora Update System 2012-10-27 20:53:24 EDT
crash-6.1.0-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 4 Dave Anderson 2012-10-29 08:33:59 EDT
(In reply to comment #2)
> 
> Could this bug also be related to the following error I am getting?
> Before applying the rpm fix listed above I got:
> 
> [root@cedfelt-Latitude-E6500 ~]# crash
> 
> crash 6.0.6-1.fc17
> Copyright (C) 2002-2012  Red Hat, Inc.
> Copyright (C) 2004, 2005, 2006  IBM Corporation
> Copyright (C) 1999-2006  Hewlett-Packard Co
> Copyright (C) 2005, 2006  Fujitsu Limited
> Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
> Copyright (C) 2005  NEC Corporation
> Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
> Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
> This program is free software, covered by the GNU General Public License,
> and you are welcome to change it and/or distribute copies of it under
> certain conditions.  Enter "help copying" to see the conditions.
> This program has absolutely no warranty.  Enter "help warranty" for details.
>  
> /sbin/modprobe: invalid option -- 'l'
> GNU gdb (GDB) 7.3.1
> Copyright (C) 2011 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
> and "show warranty" for details.
> This GDB was configured as "x86_64-unknown-linux-gnu"...
> 
> crash: read error: kernel virtual address: ffffffff81806d78  type:
> "cpu_possible_mask"
> [root@cedfelt-Latitude-E6500 ~]# 

It's not related, but a different issue that was fixed upstream
in crash-6.0.7.
Comment 5 Fedora Update System 2012-12-20 10:44:09 EST
crash-6.1.0-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.